Bug 855192 - Review Request: felix-fileinstall - A utility to automatically install bundles from a directory
Review Request: felix-fileinstall - A utility to automatically install bundle...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136 875676 875692
  Show dependency treegraph
 
Reported: 2012-09-06 20:18 EDT by gil cattaneo
Modified: 2015-02-06 23:18 EST (History)
3 users (show)

See Also:
Fixed In Version: felix-fileinstall-3.4.0-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-06 23:05:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log (25.49 KB, text/plain)
2015-01-28 04:37 EST, Michael Simacek
no flags Details

  None (edit)
Description gil cattaneo 2012-09-06 20:18:34 EDT
Spec URL: http://gil.fedorapeople.org/felix-fileinstall.spec
SRPM URL: http://gil.fedorapeople.org/felix-fileinstall-3.2.0-1.fc16.src.rpm
Description: A utility to automatically install bundles from a directory.
Fedora Account System Username: gil
Comment 4 Michael Simacek 2015-01-27 10:41:34 EST
I updated felix-utils to 1.6 in rawhide, so you can try updating to latest upstream version.
Comment 6 Michael Simacek 2015-01-28 04:37:26 EST
Created attachment 985049 [details]
build.log

Now it doesn't build for me, does it need any other update?
Comment 7 Mikolaj Izdebski 2015-01-28 06:20:42 EST
A few notes:
1. BR on maven-surefire-provider-junit is not needed.
2. Summary should not repeat package name and should not be full sentence ("File Install is ...")
3. %pom_xpath_set can be used to set Private-Package
Comment 8 gil cattaneo 2015-01-28 06:58:51 EST
(In reply to Mikolaj Izdebski from comment #7)
> A few notes:
> 1. BR on maven-surefire-provider-junit is not needed.
> 2. Summary should not repeat package name and should not be full sentence
> ("File Install is ...")
Done ...?
Description:
File Install is a directory based OSGi management agent. It
uses a directory in the file system to install and
start a bundle when it is first placed there. It updates the
bundle when you update the bundle file in the directory and,
when the file is deleted, it will stop and uninstall the bundle.

> 3. %pom_xpath_set can be used to set Private-Package

Spec URL: http://gil.fedorapeople.org/felix-fileinstall.spec
SRPM URL: http://gil.fedorapeople.org/felix-fileinstall-3.4.0-2.fc20.src.rpm

- add missing BR org.apache.felix.framework
- remove not needed BR maven-surefire-provider-junit
- use %%license macro
- fix maven-bundle-plugin settings
Comment 9 gil cattaneo 2015-01-28 07:19:22 EST
(In reply to Michael Simacek from comment #6)
> Created attachment 985049 [details]
> build.log
> 
> Now it doesn't build for me, does it need any other update?
added missing org.apache.felix.framework
but there is also a problem with org.osgi.service.cm.ManagedServiceFactory (provided by org.apache.felix.configadmin and org.osgi.compendium)

[ERROR] /builddir/build/BUILD/org.apache.felix.fileinstall-3.4.0/src/main/java/org/apache/felix/fileinstall/internal/FileInstall.java:[342,17]
org.apache.felix.fileinstall.internal.FileInstall.ConfigAdminSupport.Tracker is not abstract and
does not override abstract method updated(java.lang.String,java.util.Dictionary)
in org.osgi.service.cm.ManagedServiceFactory
[ERROR] /builddir/build/BUILD/org.apache.felix.fileinstall-3.4.0/src/main/java/org/apache/felix/fileinstall/internal/FileInstall.java:[359,25]
name clash: updated(java.lang.String,java.util.Dictionary<java.lang.String,?>)
in org.apache.felix.fileinstall.internal.FileInstall.ConfigAdminSupport.Tracker and
updated(java.lang.String,java.util.Dictionary) in org.osgi.service.cm.ManagedServiceFactory have the
same erasure, yet neither overrides the other
[INFO] 2 errors
Comment 11 Michael Simacek 2015-01-29 05:32:04 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* Apache (v2.0)". Detailed output of licensecheck in
     /home/msimacek/reviews/855192-felix-fileinstall/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/felix
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/felix, /usr/share
     /maven-poms/felix
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in felix-
     fileinstall-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: felix-fileinstall-3.4.0-2.fc22.noarch.rpm
          felix-fileinstall-javadoc-3.4.0-2.fc22.noarch.rpm
          felix-fileinstall-3.4.0-2.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
felix-fileinstall-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

felix-fileinstall (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.felix:org.apache.felix.configadmin)
    mvn(org.apache.felix:org.apache.felix.utils)



Provides
--------
felix-fileinstall-javadoc:
    felix-fileinstall-javadoc

felix-fileinstall:
    felix-fileinstall
    mvn(org.apache.felix:org.apache.felix.fileinstall)
    mvn(org.apache.felix:org.apache.felix.fileinstall:pom:)
    osgi(org.apache.felix.fileinstall)



Source checksums
----------------
http://www.apache.org/dist/felix/org.apache.felix.fileinstall-3.4.0-source-release.zip :
  CHECKSUM(SHA256) this package     : 2fff4fce1059eca9ad15bd926b90b6870a334eca668cdb9ecd39149faf75fe9a
  CHECKSUM(SHA256) upstream package : 2fff4fce1059eca9ad15bd926b90b6870a334eca668cdb9ecd39149faf75fe9a


Jar and class files in source
-----------------------------
./org.apache.felix.fileinstall-3.4.0/src/test/resources/watched/firstjar.jar
./org.apache.felix.fileinstall-3.4.0/src/test/resources/watched/secondjar.jar


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 855192
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 12 gil cattaneo 2015-01-29 06:05:32 EST
Thanks for the review!

Spec URL: http://gil.fedorapeople.org/felix-fileinstall.spec
SRPM URL: http://gil.fedorapeople.org/felix-fileinstall-3.4.0-3.fc20.src.rpm

- remove and regenerate (empty) Jar files in source

New Package SCM Request
=======================
Package Name: felix-fileinstall
Short Description: A utility to automatically install bundles from a directory
Upstream URL: http://felix.apache.org/site/apache-felix-file-install.html
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 13 Jon Ciesla 2015-01-29 09:13:48 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2015-01-29 10:10:39 EST
felix-fileinstall-3.4.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/felix-fileinstall-3.4.0-3.fc21
Comment 15 Fedora Update System 2015-01-29 23:43:04 EST
felix-fileinstall-3.4.0-3.fc21 has been pushed to the Fedora 21 testing repository.
Comment 16 Fedora Update System 2015-02-06 23:05:03 EST
felix-fileinstall-3.4.0-3.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.